Subject: Re: [patch 07/11] bluetooth: add quirks for a few hci_usb devices

From: Ben Collins <[email-masked]>
Date: Thu, 31 Jul 2008 11:13:41 -0400

On Wed, 2008-07-30 at 17:00 -0700, David Miller wrote:
> From: [email-masked]
> Date: Wed, 30 Jul 2008 12:37:39 -0700
> 
> > From: Ben Collins <[email-masked]>
> > 
> > Preface: The "Broadcom" device is on unreleased hardware, so I can't
> > disclose the actual model.
> > 
> > When the Dell 370 and 410 BT adapters are put into BT radio mode, they
> > need to be prepared like many other Broadcom adapters.
> > 
> > Also, add quirk Broadcom 2046 devices with HCI_RESET.  Reference for this
> > bug: https://launchpad.net/bugs/249448
> > 
> > Signed-off-by: Michael Frey <[email-masked]>
> > Signed-off-by: Mario Limonciello <[email-masked]>
> > Signed-off-by: Tim Gardner <[email-masked]>
> > Signed-off-by: Ben Collins <[email-masked]>
> > Acked-by: Marcel Holtmann <[email-masked]>
> > Signed-off-by: Andrew Morton <[email-masked]>
> 
> My understanding is that Michael Frey wrote this patch, and Ben
> was just submitting it to us from the pile of Ubuntu kernel bits
> he has.
> 
> So I've applied this, marking Michael as the patch author.
> 
> Let me know if I got that wrong and I'll fix it up before
> pushing the change out to the net-2.6 tree.

The patch actually has three authors (one for each device), so I just
collapsed it into one patch. I'm not concerned about my authorship being
shown properly, so leaving it as Michael is fine by me :)